Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 586499 - There is no longer a 'clear' command in the anaconda/kickstart environment
Summary: There is no longer a 'clear' command in the anaconda/kickstart environment
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Martin Gracik
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-27 18:06 UTC by Don Hoover
Modified: 2013-07-04 12:50 UTC (History)
3 users (show)

Fixed In Version: anaconda-13.21.34-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-02 20:47:38 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Don Hoover 2010-04-27 18:06:43 UTC
Description of problem:
There is no longer a 'clear' command to clear the screen in the anaconda/kickstart environment for %pre/%post scripts to use.

Version-Release number of selected component (if applicable):
RHEL 6 Beta 1

How reproducible:
clear command not found

Steps to Reproduce:
1.
2.
3.
  
Actual results:
clear command not found

Expected results:
clear command would clear screen

Additional info:

I believe this is another casualty of removing busybox.  I bet that lots of people used 'clear' in their kickstart %pre and %post scripts though and will get an error.

This can simply be emulated by the following: echo -e "\033[H\033[J"

The stand along 'clear' executable needs to be added into the install image, or this should be documented in the release notes.

Comment 2 RHEL Program Management 2010-04-27 19:03:14 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Martin Gracik 2010-04-29 12:27:01 UTC
Fixed in version anaconda-13.21.34.el6

Comment 6 Alexander Todorov 2010-05-11 21:10:43 UTC
VERIFIED with anaconda-13.21.36-1.el6 / 0506.3 compose. 'clear' command is now present in stage2 (siwtch to tty2 and type 'clear').

Comment 7 releng-rhel@redhat.com 2010-07-02 20:47:38 UTC
Red Hat Enterprise Linux Beta 2 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.